/* Pads Module */
/* Main */

section.group {
  width: 100%;
  margin: 0 auto 0 auto;
}

section.group > h2 { color: #333333; }
section.group h2 a, section.group h2 span.subtitle {
  font-size: smaller;
  color: #949494;
  background: none;
  margin-left: 1em;
}

section.group h3.title {
  color: #fafafa;
  text-align: center;
  padding: 0.25em;
}

section.group h3.title.bookmark { background-color: #52632a; }
section.group h3.title.group, section.props h3.title { background-color: #3e3363; }
section.group h3.title.archive { background-color: #666666; }
section.pads h3.title { background-color: #0c5b7a; }
section.users h3.title { background-color: #333333; }

/* View module */

section.pads, section.users { width: 100%; }

/* Groups */

ul.group {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

ul.group > li {
  width: 95%;
  border: 0.2em solid #e0e0e0;
  border-radius: 0.5em;
  padding: 0.2em;
  margin: 0.5em 0.1em;
}

header.group { background: transparent; }

header.group > h4 {
  color: #333333;
  width: 60%;
  margin: 0;
}
header.group > section {
  width: 40%;
  text-align: right;
}

header.group a, footer.group > a.add, dl.group dd a, section.pad li a, section.pad li button {
  color: #3e3363;
  font-weight: bold;
  text-decoration: none;
  padding: 0.1em;
  border: 0;
}

header.group a, section.pad li a, dl.group dd a, section.pad li button, section.pad {
  background: none;
}
header.group > a:focus, header.group a:hover, section.pad li a:hover, section.pad li button:hover, section.pad li a:focus, section.pad li button:focus {
  background-color: #3e3363;
  color: #e0e0e0;
}

dl.group {
  margin: 1em 0;
}
dl.group dt.block, dl.group dd.block {
  width: 50%;
  margin: 0;
  padding: 0.1em 0.3em;
  font-size: smaller;
}

dl.group dt.block {
  color: #6a5687;
}

footer.group { background: transparent; }
footer.group > a.add {
  width: 30%; 
  color: #304219;
  font-size: 1.5em;
  /*text-align: left;*/
}
footer.group > a.add:focus, footer.group > a.add:hover {
  background-color: #304219;
  color: #e0e0e0;
}
footer.group > ul {
  width: 100%; 
  text-align: right;
  list-style-type : none;
}
footer.group > ul > li, div.tag > ul > li {
  color:#e0e0e0;
  background: #9876cc;
  display: inline-block;
  padding: 0.5em;
  margin: 0.2em;
  border-radius: 0.4em;
  cursor: pointer;
}
footer.group > ul > li.active {
  background-color: #ab2a0e;
}

/* Pads specific */

a.add {
  font-weight: bold;
  background: none;
}
section.pad a.add { color: #0c5b7a; }
section.pad a.add:focus, section.pad a.add:hover {
  color: #e1f8fc;
  background: #0c5b7a;
}
section.users a.add { color: #757575; }

section.pad li span.block.name { width: 65%; }
section.pad li span.block.actions { width: 35%; }

/* Pads Aside */

section.group-aside {
  background-color: #ede6f5;
  border-radius: 0.4em;
  margin: 1em;
  padding: 1em;
}

section.group-aside h3 {
  margin: 0 1em;
}

section.group-aside input[type=search]:focus {
  border-color: #8157c2;
}

section.group-aside section.search h3 { width: 100%; }
section.group-aside section.search input { width: 70%; }
section.group-aside section.search button {
  font-weight: bold;
  width: 15%;
  padding: 0.6em;
  margin: 0.5em 0;
}

section.group-aside section.filter ul {
  list-style-type: none;
  padding: 0;
}
section.group-aside section.filter ul li > button.admin {
  background-color: #de6933;
}
section.group-aside section.filter ul li > button.user {
  background-color: #616161;
}

section.group-aside section.filter ul li > button {
  color: #e0e0e0;
  text-align: center;
  background: #6a5687;
  border: 0.1em solid #3e3363;
  padding: 0.6em;
  margin: 0.2em;
  width: 100%;
}

section.group-aside section.filter ul li > button:focus, section.group-aside section.filter ul li > button:hover {
  font-weight: bold;
  background-color: #8157c2;
}

section.group-aside section.filter ul li > button.active, section.group-aside section.tag li button.active {
  background-color: #ab2a0e;
}
section.group-aside section.filter ul li > button.active:after, section.group-aside section.tag li button.active:after {
  content: ' ✓';
}

section.group-aside section.tag ul { list-style-type : none; padding: 0; }
section.group-aside section.tag li { display: inline; }
section.group-aside section.tag li button {
  color:#e0e0e0;
  font-size: smaller;
  background: #333333;
  padding: 0.5em;
  margin: 0.2em;
  border: 0;
  border-radius: 0.4em;
}
section.group-aside section.tag li button:focus, section.group-aside section.tag li button:hover {
  background-color: #8157c2;
}

/* Pad View Specific */

section.pad p.external, section.group p.actions {
  margin: 0 auto 1em auto;
  text-align: center;
}

section.pad p.external a, section.group p.actions a, section.group p.actions button {
  background: transparent;
  color: #6a5687;
  border: 0;
  text-decoration: underline;
}

section.pad iframe {
  width: 95%;
  height: 40em;
  margin-left: 2%;
  border: 0.2em solid #bdbdbd;
  border-radius: 0.4em;
}

/* Tablet and Up */
@media (min-width: 40em) {
  ul.group > li {
    width: 48%;
    padding: 0.5em;
    margin: 0.3em;
  }
}
/* Desktop and Up */
@media (min-width: 90em) {
  ul.group > li {
    width: 31%;
    padding: 0.5em;
    margin: 0.5em 0.3em;
  }
  section.pads, section.users { width: 50%; }
  section.pads { padding-right: 0.5em; }
  section.users { padding-left: 0.5em; }
}

/* Hi res desktop */
@media (min-width: 110em) {
  ul.group > li {
    width: 24%;
    padding: 0.5em;
    margin: 0.5em 0.3em;
  }
}
